<?php
// PukiWiki - Yet another WikiWikiWeb clone.
// $Id: size.inc.php,v 1.10 2005/06/16 15:04:08 henoheno Exp $
// $Modified: sizep.inc.php v 1.00 2007/05/19 21:10:20 takayan Exp $
//
// Text-size changing via CSS plugin ... percent version

define('PLUGIN_SIZEP_MAX', 5000); // percent
define('PLUGIN_SIZEP_MIN',  1); // percent

// ----
define('PLUGIN_SIZEP_USAGE', '&sizep(percentile){Text you want to change};');

function plugin_sizep_inline()
{
	if (func_num_args() != 2) return PLUGIN_SIZEP_USAGE;

	list($size, $body) = func_get_args();

	// strip_autolink() is not needed for size plugin
	//$body = strip_htmltag($body);
	
	if ($size == '' || $body == '' || ! preg_match('/^\d+$/', $size))
		return PLUGIN_SIZEP_USAGE;

	$size = max(PLUGIN_SIZEP_MIN, min(PLUGIN_SIZEP_MAX, $size));
	return '<span style="font-size:' . $size .
		'%;display:inline-block;line-height:130%;text-indent:0px">' .
		$body . '</span>';
}
?>
